-module(record4t).
-export([fun1/1,list/2]).
-record(record,{op1,op2,res = 0}).

fun1({A, B})->
   _R=#record{op1 = A, op2 = B, res = A + B}.

list(F,[H|T])->
   F(H),
   list(F,T);
list(_F,[])->
   ok.

